
Figure - Bug #117375
Bug # 117222 (CLOSED): 【BSP】【DVT】【ST】【Boot】0085后版本，qfile烧机时，不会清除用户数据

【AF】【EVT3】【ST】【Laucher】【偶现】烧写userdebug之后，再次烧写user版本，设备启动后偶现UI异常
，左下角出现一个返回按钮，且设置界面搜索输入框消失，手势功能失效
2023-04-10 19:22 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-10

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 0089

Resolution: WORKSFORME Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-04-13

Test Type: ST Root cause: 此问题不修改，仅在工厂版本修复

Description

【步骤】

1.烧写userdebug版本，或者vb版本

2.再次烧写user版本 0089

3.设备开机

【预期】

设备开机，且UI功能正常

【实际】

设备启动后偶现UI异常，左下角出现一个返回按钮，且设置界面搜索输入框消失，手势功能失效

History

#1 - 2023-04-10 19:55 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#2 - 2023-04-10 21:43 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

Hi 强哥

烧写userdebug之后，再次烧写user版本

因为目前我们烧版本，没办法清除数据，导致user版本使用了userdebug版本的数据(例如一些应用只会搭载在ud版本上)

这种数据异常问题，应该会导致一系列连带问题

但是实际情况是，出厂版本都是会清除数据的，不存在发生该问题的前提

我觉得这应该是一个无效的问题，请确认

ps:可以试下在发生问题的版本中，做恢复出厂设置，验证一下

#3 - 2023-04-11 16:59 - 移动测试一组_CDTS 刘强

数据擦除问题由：https://share.thundersoft.com/redmine/issues/117222 跟踪
https://share.thundersoft.com/redmine/issues/117222


最新工厂版本验证失败，此问题需要等117222确认修复后再进行确认

#4 - 2023-04-11 16:59 - 移动测试一组_CDTS 刘强

- Parent task set to #117222

#5 - 2023-04-11 17:01 - 移动测试一组_CDTS 刘强

@王成

请帮忙评估下

#6 - 2023-04-12 11:08 - CD FW 曹覃刚

Hi 王成，刘强

可以通过下面的指令进入恢复出厂页面，进行页面清除操作

adb shell am start -a "com.android.settings.action.FACTORY_RESET"

#7 - 2023-04-12 14:18 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD FW 曹覃刚

复现后使用adb shell am start -a "com.android.settings.action.FACTORY_RESET" 执行恢复出厂；

恢复出厂后，设备正常运行

#8 - 2023-04-12 15:25 - CD FW 曹覃刚

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to WORKSFORME

- Degrated changed from -- to No

- Fixed Version set to 2023-04-13

- Root cause set to 无效问题

#9 - 2023-04-12 15:27 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

- Root cause changed from 无效问题 to 此问题不修改，仅在工厂版本修复

此问题不修改，仅在工厂版本修复，从工厂版本烧机后，再烧user会执行FDR

日常测试中不执行FDR，需要手动恢复

#10 - 2023-04-12 15:27 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

log.txt 2.49 MB 2023-04-10 移动测试一组_CDTS 刘强

screen-20230406-021635.mp4 9.77 MB 2023-04-10 移动测试一组_CDTS 刘强
